# Creates instance of alarm rules

Returns instance of alarm rules

Endpoint: POST /v1/enterprise/{enterprise_id}/alarmrules/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `enterprise_id` (string, required)
    A UUID string identifying this enterprise.

## Request fields (application/json):

  - `id` (string)

  - `enterprise` (string, required)

  - `devices` (array)

  - `groups` (array)

  - `name` (string, required)

  - `description` (string)

  - `metric` (string, required)

  - `conditions` (object, required)

  - `conditions.value` (number)

  - `conditions.unit` (string)

  - `conditions.comparator` (string)

  - `conditions.toggle_state` (boolean)

  - `action_emails` (array)

  - `actions` (array)

  - `alert_channels` (array)

  - `created_on` (string)

  - `updated_on` (string)

  - `is_active` (boolean)

  - `realert_interval` (integer, required)

  - `repeat_times` (integer)

  - `trigger_count` (integer)

  - `daily_trigger_count` (integer)

## Response 201 fields (application/json):

  - `id` (string)

  - `enterprise` (string)

  - `devices` (object)

  - `devices.id` (string)

  - `devices.device_name` (string)

  - `devices.alias_name` (string,null)

  - `groups` (array)

  - `name` (string)

  - `description` (string)

  - `metric` (string)

  - `conditions` (object)

  - `conditions.value` (number)

  - `conditions.unit` (string)

  - `conditions.comparator` (string)

  - `conditions.toggle_state` (boolean)

  - `action_emails` (array)

  - `actions` (array)

  - `alert_channels` (array)

  - `created_on` (string)

  - `updated_on` (string)

  - `is_active` (boolean)

  - `realert_interval` (integer)

  - `repeat_times` (integer)

  - `trigger_count` (integer)

  - `daily_trigger_count` (integer)

## Response 400 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 401 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 403 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 500 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)


